"Erreur de mise à jour". Comment gérer cela?

J'ai une instance ec2 et j'essaie de mettre à jour tous les paquets.

Mais le problème est quand j'exécute "yum update" il montre le message:

Transaction Check Error: file /usr/lib64/perl5/vendor_perl/Cwd.pm conflicts between attempted installs of perl-Cwd-2.21-1.2.el6.rf.x86_64 and perl-PathTools-3.40-3.4.amzn1.x86_64 file /usr/lib64/perl5/vendor_perl/auto/Cwd/Cwd.so conflicts between attempted installs of perl-Cwd-2.21-1.2.el6.rf.x86_64 and perl-PathTools-3.40-3.4.amzn1.x86_64 file /usr/share/man/man3/Cwd.3pm.gz conflicts between attempted installs of perl-Cwd-2.21-1.2.el6.rf.x86_64 and perl-PathTools-3.40-3.4.amzn1.x86_64 

Ma version Linux est: 3.4.48-45.46.amzn1.x86_64 Red Hat 4.6.3-2

J'ai essayé d'exclure "perl" des mises à jour, mais le problème est que nginx a besoin de cette mise à jour perl.

Quelqu'un aide-t-il comment gérer cela? Merci d'avance!

One Solution collect form web for “"Erreur de mise à jour". Comment gérer cela?”

Vous avez un référentiel incompatible "rpmforge". Cela ne fonctionne que sur RHEL et les clones, et n'est pas compatible avec Amazon Linux (qui était un clone RHEL, mais ce n'est plus le cas).

Vous avez plusieurs options:

  1. Retirez le référentiel rpmforge et réessayez. Notez que vous ne pourrez peut-être pas le faire si vous avez réellement besoin de paquetages à partir de ce dépôt.

  2. L'option préférée: Arrêtez d'utiliser Amazon Linux. Nos pages sont pleines de questions de personnes dont les problèmes étaient directement traçables aux problèmes de contrôle de qualité dans les paquets d'Amazon.

  • Comment installer yum pour installer uniquement les dependencies pour un pakage donné?
  • Gestionnaires de packageages et installations personnalisées?
  • Commande de packages virtuels RPM
  • Yum dépendance disponible mais pas marquée pour l'installation
  • Comment puis-je exclure un package de yum-cron mais pas de "mise à niveau manuelle"?
  • CentOS 6 LEMP update - problème d'erreur de dépendance
  • Comstackr / Configurer les options d'un package Yum (RPM)
  • Dépendance manquante: python-chardet est nécessaire par reconfiguration du package-0.1.50-1.noarch (ajenti)
  • Quelle est la principale différence entre yum remi et Yum Atom Repository?
  • Dispensé sur Cloud Linux
  • redhat 6 | comment installer libpcap-devel
  • Les astuces du serveur de linux et windows, tels que ubuntu, centos, apache, nginx, debian et des sujets de rĂ©seau.